<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SlevyPOV StructType
 * @subpackage Structs
 */
class SlevyPOV extends AbstractStructBase
{
    /**
     * The JedenRidic
     * @var string
     */
    public $JedenRidic;
    /**
     * The JenCR
     * @var string
     */
    public $JenCR;
    /**
     * The PlneniRozpoctem
     * @var string
     */
    public $PlneniRozpoctem;
    /**
     * The SlevaOnline
     * @var string
     */
    public $SlevaOnline;
    /**
     * The SlevaS1
     * @var string
     */
    public $SlevaS1;
    /**
     * The SlevaS1Proc
     * @var int
     */
    public $SlevaS1Proc;
    /**
     * The SlevaS2
     * @var string
     */
    public $SlevaS2;
    /**
     * The SlevaS2Proc
     * @var int
     */
    public $SlevaS2Proc;
    /**
     * The SlevaS3
     * @var string
     */
    public $SlevaS3;
    /**
     * The SlevaS3Proc
     * @var int
     */
    public $SlevaS3Proc;
    /**
     * The SlevaS4
     * @var string
     */
    public $SlevaS4;
    /**
     * The SlevaS4Proc
     * @var int
     */
    public $SlevaS4Proc;
    /**
     * Constructor method for SlevyPOV
     * @uses SlevyPOV::setJedenRidic()
     * @uses SlevyPOV::setJenCR()
     * @uses SlevyPOV::setPlneniRozpoctem()
     * @uses SlevyPOV::setSlevaOnline()
     * @uses SlevyPOV::setSlevaS1()
     * @uses SlevyPOV::setSlevaS1Proc()
     * @uses SlevyPOV::setSlevaS2()
     * @uses SlevyPOV::setSlevaS2Proc()
     * @uses SlevyPOV::setSlevaS3()
     * @uses SlevyPOV::setSlevaS3Proc()
     * @uses SlevyPOV::setSlevaS4()
     * @uses SlevyPOV::setSlevaS4Proc()
     * @param string $jedenRidic
     * @param string $jenCR
     * @param string $plneniRozpoctem
     * @param string $slevaOnline
     * @param string $slevaS1
     * @param int $slevaS1Proc
     * @param string $slevaS2
     * @param int $slevaS2Proc
     * @param string $slevaS3
     * @param int $slevaS3Proc
     * @param string $slevaS4
     * @param int $slevaS4Proc
     */
    public function __construct($jedenRidic = null, $jenCR = null, $plneniRozpoctem = null, $slevaOnline = null, $slevaS1 = null, $slevaS1Proc = null, $slevaS2 = null, $slevaS2Proc = null, $slevaS3 = null, $slevaS3Proc = null, $slevaS4 = null, $slevaS4Proc = null)
    {
        $this
            ->setJedenRidic($jedenRidic)
            ->setJenCR($jenCR)
            ->setPlneniRozpoctem($plneniRozpoctem)
            ->setSlevaOnline($slevaOnline)
            ->setSlevaS1($slevaS1)
            ->setSlevaS1Proc($slevaS1Proc)
            ->setSlevaS2($slevaS2)
            ->setSlevaS2Proc($slevaS2Proc)
            ->setSlevaS3($slevaS3)
            ->setSlevaS3Proc($slevaS3Proc)
            ->setSlevaS4($slevaS4)
            ->setSlevaS4Proc($slevaS4Proc);
    }
    /**
     * Get JedenRidic value
     * @return string|null
     */
    public function getJedenRidic()
    {
        return $this->JedenRidic;
    }
    /**
     * Set JedenRidic value
     * @param string $jedenRidic
     * @return \StructType\SlevyPOV
     */
    public function setJedenRidic($jedenRidic = null)
    {
        // validation for constraint: string
        if (!is_null($jedenRidic) && !is_string($jedenRidic)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($jedenRidic)), __LINE__);
        }
        $this->JedenRidic = $jedenRidic;
        return $this;
    }
    /**
     * Get JenCR value
     * @return string|null
     */
    public function getJenCR()
    {
        return $this->JenCR;
    }
    /**
     * Set JenCR value
     * @param string $jenCR
     * @return \StructType\SlevyPOV
     */
    public function setJenCR($jenCR = null)
    {
        // validation for constraint: string
        if (!is_null($jenCR) && !is_string($jenCR)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($jenCR)), __LINE__);
        }
        $this->JenCR = $jenCR;
        return $this;
    }
    /**
     * Get PlneniRozpoctem value
     * @return string|null
     */
    public function getPlneniRozpoctem()
    {
        return $this->PlneniRozpoctem;
    }
    /**
     * Set PlneniRozpoctem value
     * @param string $plneniRozpoctem
     * @return \StructType\SlevyPOV
     */
    public function setPlneniRozpoctem($plneniRozpoctem = null)
    {
        // validation for constraint: string
        if (!is_null($plneniRozpoctem) && !is_string($plneniRozpoctem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($plneniRozpoctem)), __LINE__);
        }
        $this->PlneniRozpoctem = $plneniRozpoctem;
        return $this;
    }
    /**
     * Get SlevaOnline value
     * @return string|null
     */
    public function getSlevaOnline()
    {
        return $this->SlevaOnline;
    }
    /**
     * Set SlevaOnline value
     * @param string $slevaOnline
     * @return \StructType\SlevyPOV
     */
    public function setSlevaOnline($slevaOnline = null)
    {
        // validation for constraint: string
        if (!is_null($slevaOnline) && !is_string($slevaOnline)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($slevaOnline)), __LINE__);
        }
        $this->SlevaOnline = $slevaOnline;
        return $this;
    }
    /**
     * Get SlevaS1 value
     * @return string|null
     */
    public function getSlevaS1()
    {
        return $this->SlevaS1;
    }
    /**
     * Set SlevaS1 value
     * @param string $slevaS1
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS1($slevaS1 = null)
    {
        // validation for constraint: string
        if (!is_null($slevaS1) && !is_string($slevaS1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($slevaS1)), __LINE__);
        }
        $this->SlevaS1 = $slevaS1;
        return $this;
    }
    /**
     * Get SlevaS1Proc value
     * @return int|null
     */
    public function getSlevaS1Proc()
    {
        return $this->SlevaS1Proc;
    }
    /**
     * Set SlevaS1Proc value
     * @param int $slevaS1Proc
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS1Proc($slevaS1Proc = null)
    {
        // validation for constraint: int
        if (!is_null($slevaS1Proc) && !is_numeric($slevaS1Proc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($slevaS1Proc)), __LINE__);
        }
        $this->SlevaS1Proc = $slevaS1Proc;
        return $this;
    }
    /**
     * Get SlevaS2 value
     * @return string|null
     */
    public function getSlevaS2()
    {
        return $this->SlevaS2;
    }
    /**
     * Set SlevaS2 value
     * @param string $slevaS2
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS2($slevaS2 = null)
    {
        // validation for constraint: string
        if (!is_null($slevaS2) && !is_string($slevaS2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($slevaS2)), __LINE__);
        }
        $this->SlevaS2 = $slevaS2;
        return $this;
    }
    /**
     * Get SlevaS2Proc value
     * @return int|null
     */
    public function getSlevaS2Proc()
    {
        return $this->SlevaS2Proc;
    }
    /**
     * Set SlevaS2Proc value
     * @param int $slevaS2Proc
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS2Proc($slevaS2Proc = null)
    {
        // validation for constraint: int
        if (!is_null($slevaS2Proc) && !is_numeric($slevaS2Proc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($slevaS2Proc)), __LINE__);
        }
        $this->SlevaS2Proc = $slevaS2Proc;
        return $this;
    }
    /**
     * Get SlevaS3 value
     * @return string|null
     */
    public function getSlevaS3()
    {
        return $this->SlevaS3;
    }
    /**
     * Set SlevaS3 value
     * @param string $slevaS3
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS3($slevaS3 = null)
    {
        // validation for constraint: string
        if (!is_null($slevaS3) && !is_string($slevaS3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($slevaS3)), __LINE__);
        }
        $this->SlevaS3 = $slevaS3;
        return $this;
    }
    /**
     * Get SlevaS3Proc value
     * @return int|null
     */
    public function getSlevaS3Proc()
    {
        return $this->SlevaS3Proc;
    }
    /**
     * Set SlevaS3Proc value
     * @param int $slevaS3Proc
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS3Proc($slevaS3Proc = null)
    {
        // validation for constraint: int
        if (!is_null($slevaS3Proc) && !is_numeric($slevaS3Proc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($slevaS3Proc)), __LINE__);
        }
        $this->SlevaS3Proc = $slevaS3Proc;
        return $this;
    }
    /**
     * Get SlevaS4 value
     * @return string|null
     */
    public function getSlevaS4()
    {
        return $this->SlevaS4;
    }
    /**
     * Set SlevaS4 value
     * @param string $slevaS4
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS4($slevaS4 = null)
    {
        // validation for constraint: string
        if (!is_null($slevaS4) && !is_string($slevaS4)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($slevaS4)), __LINE__);
        }
        $this->SlevaS4 = $slevaS4;
        return $this;
    }
    /**
     * Get SlevaS4Proc value
     * @return int|null
     */
    public function getSlevaS4Proc()
    {
        return $this->SlevaS4Proc;
    }
    /**
     * Set SlevaS4Proc value
     * @param int $slevaS4Proc
     * @return \StructType\SlevyPOV
     */
    public function setSlevaS4Proc($slevaS4Proc = null)
    {
        // validation for constraint: int
        if (!is_null($slevaS4Proc) && !is_numeric($slevaS4Proc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($slevaS4Proc)), __LINE__);
        }
        $this->SlevaS4Proc = $slevaS4Proc;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SlevyPOV
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
