<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UkonceniOut StructType
 * @subpackage Structs
 */
class UkonceniOut extends AbstractStructBase
{
    /**
     * The BankaSuma
     * @var int
     */
    public $BankaSuma;
    /**
     * The PredpisDo
     * @var int
     */
    public $PredpisDo;
    /**
     * The PredpisOd
     * @var int
     */
    public $PredpisOd;
    /**
     * The PredpisSuma
     * @var int
     */
    public $PredpisSuma;
    /**
     * The Status
     * @var string
     */
    public $Status;
    /**
     * The TextovaZprava
     * @var string
     */
    public $TextovaZprava;
    /**
     * Constructor method for UkonceniOut
     * @uses UkonceniOut::setBankaSuma()
     * @uses UkonceniOut::setPredpisDo()
     * @uses UkonceniOut::setPredpisOd()
     * @uses UkonceniOut::setPredpisSuma()
     * @uses UkonceniOut::setStatus()
     * @uses UkonceniOut::setTextovaZprava()
     * @param int $bankaSuma
     * @param int $predpisDo
     * @param int $predpisOd
     * @param int $predpisSuma
     * @param string $status
     * @param string $textovaZprava
     */
    public function __construct($bankaSuma = null, $predpisDo = null, $predpisOd = null, $predpisSuma = null, $status = null, $textovaZprava = null)
    {
        $this
            ->setBankaSuma($bankaSuma)
            ->setPredpisDo($predpisDo)
            ->setPredpisOd($predpisOd)
            ->setPredpisSuma($predpisSuma)
            ->setStatus($status)
            ->setTextovaZprava($textovaZprava);
    }
    /**
     * Get BankaSuma value
     * @return int|null
     */
    public function getBankaSuma()
    {
        return $this->BankaSuma;
    }
    /**
     * Set BankaSuma value
     * @param int $bankaSuma
     * @return \StructType\UkonceniOut
     */
    public function setBankaSuma($bankaSuma = null)
    {
        // validation for constraint: int
        if (!is_null($bankaSuma) && !is_numeric($bankaSuma)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($bankaSuma)), __LINE__);
        }
        $this->BankaSuma = $bankaSuma;
        return $this;
    }
    /**
     * Get PredpisDo value
     * @return int|null
     */
    public function getPredpisDo()
    {
        return $this->PredpisDo;
    }
    /**
     * Set PredpisDo value
     * @param int $predpisDo
     * @return \StructType\UkonceniOut
     */
    public function setPredpisDo($predpisDo = null)
    {
        // validation for constraint: int
        if (!is_null($predpisDo) && !is_numeric($predpisDo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($predpisDo)), __LINE__);
        }
        $this->PredpisDo = $predpisDo;
        return $this;
    }
    /**
     * Get PredpisOd value
     * @return int|null
     */
    public function getPredpisOd()
    {
        return $this->PredpisOd;
    }
    /**
     * Set PredpisOd value
     * @param int $predpisOd
     * @return \StructType\UkonceniOut
     */
    public function setPredpisOd($predpisOd = null)
    {
        // validation for constraint: int
        if (!is_null($predpisOd) && !is_numeric($predpisOd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($predpisOd)), __LINE__);
        }
        $this->PredpisOd = $predpisOd;
        return $this;
    }
    /**
     * Get PredpisSuma value
     * @return int|null
     */
    public function getPredpisSuma()
    {
        return $this->PredpisSuma;
    }
    /**
     * Set PredpisSuma value
     * @param int $predpisSuma
     * @return \StructType\UkonceniOut
     */
    public function setPredpisSuma($predpisSuma = null)
    {
        // validation for constraint: int
        if (!is_null($predpisSuma) && !is_numeric($predpisSuma)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($predpisSuma)), __LINE__);
        }
        $this->PredpisSuma = $predpisSuma;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\UkonceniOut
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get TextovaZprava value
     * @return string|null
     */
    public function getTextovaZprava()
    {
        return $this->TextovaZprava;
    }
    /**
     * Set TextovaZprava value
     * @param string $textovaZprava
     * @return \StructType\UkonceniOut
     */
    public function setTextovaZprava($textovaZprava = null)
    {
        // validation for constraint: string
        if (!is_null($textovaZprava) && !is_string($textovaZprava)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($textovaZprava)), __LINE__);
        }
        $this->TextovaZprava = $textovaZprava;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\UkonceniOut
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
